Skip to main content
POST
/
v1
/
chainflip-deposit-channel
curl --request POST \ --url https://api.dkit.xyz/v1/chainflip-deposit-channel \ --header 'Content-Type: application/json' \ --data ' { "buyAsset": "ETH.ETH", "sellAsset": "BTC.BTC", "destinationAddress": "0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9", "affiliateCode": "eld", "affiliateBps": 50, "maxBoostFeeBps": 100 } '
{ "depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh", "channelId": "1234567890", "issuedBlock": 1000000, "sourceChainExpiryBlock": 1002880 }

Documentation Index

Fetch the complete documentation index at: https://docs.arqitech.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json
sellAsset
string
required
buyAsset
string
required
destinationAddress
string
required
channelMetadata
object
refundParameters
object
affiliateCode
string
affiliateBps
number
Required range: 0 <= x <= 1000
brokerCommissionBps
number
maxBoostFeeBps
number

Response

Deposit channel created successfully

depositAddress
string
required
channelId
string
required
issuedBlock
number
required
sourceChainExpiryBlock
number
required